From: "Dennis Lamm" <expeditioneer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/cereal/
Date: Fri, 18 Mar 2022 17:04:11 +0000 (UTC) [thread overview]
Message-ID: <1647623046.fcb788f36a5016050159c218c96524e2673d3d66.expeditioneer@gentoo> (raw)
commit: fcb788f36a5016050159c218c96524e2673d3d66
Author: Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 18 16:36:23 2022 +0000
Commit: Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Fri Mar 18 17:04:06 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fcb788f3
dev-libs/cereal: unbundle rapidjson
Bug: https://bugs.gentoo.org/792444
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>
dev-libs/cereal/cereal-1.3.2-r1.ebuild | 45 ++++++++++++++++++++++++++++++++++
1 file changed, 45 insertions(+)
diff --git a/dev-libs/cereal/cereal-1.3.2-r1.ebuild b/dev-libs/cereal/cereal-1.3.2-r1.ebuild
new file mode 100644
index 000000000000..3a40d8fa882d
--- /dev/null
+++ b/dev-libs/cereal/cereal-1.3.2-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Header-only C++11 serialization library"
+HOMEPAGE="https://uscilab.github.io/cereal/"
+SRC_URI="https://github.com/USCiLab/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="doc? ( app-doc/doxygen )"
+DEPEND="dev-libs/rapidjson"
+
+src_prepare() {
+ if ! use doc ; then
+ sed -i -e '/add_subdirectory(doc/d' CMakeLists.txt || die
+ fi
+
+ # remove bundled rapidjson
+ rm -r include/cereal/external/rapidjson || die 'could not remove bundled rapidjson'
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ # TODO: drop bundled doctest, rapidxml (bug #792444)
+
+ local mycmakeargs=(
+ -DBUILD_TESTS=$(usex test)
+
+ # Avoid Boost dependency
+ -DSKIP_PERFORMANCE_COMPARISON=ON
+
+ -DWITH_WERROR=OFF
+ )
+
+ cmake_src_configure
+}
next reply other threads:[~2022-03-18 17:04 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-03-18 17:04 Dennis Lamm [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-11-24 14:43 [gentoo-commits] repo/gentoo:master commit in: dev-libs/cereal/ Michał Górny
2023-04-16 12:11 WANG Xuerui
2022-12-26 8:43 Andreas Sturmlechner
2022-12-26 3:20 Sam James
2022-12-26 3:20 Sam James
2022-11-18 17:29 Arthur Zamarin
2022-04-03 10:45 Matthew Smith
2022-04-03 8:52 Matthew Smith
2022-03-29 8:49 Yixun Lan
2022-03-29 8:49 Yixun Lan
2022-03-18 17:04 Dennis Lamm
2022-03-09 9:19 Agostino Sarubbo
2022-03-07 16:20 Agostino Sarubbo
2022-02-22 5:40 Yixun Lan
2022-02-21 22:13 Sam James
2022-02-21 2:58 Sam James
2022-01-31 19:40 Jakov Smolić
2021-12-30 17:40 Dennis Lamm
2021-12-23 14:02 Dennis Lamm
2021-06-15 18:25 Dennis Lamm
2020-06-25 13:54 Andreas Sturmlechner
2020-06-25 13:42 Andreas Sturmlechner
2020-06-25 13:38 Christoph Junghans
2020-06-25 13:29 Christoph Junghans
2017-02-15 17:13 Christoph Junghans
2016-08-31 21:30 Christoph Junghans
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1647623046.fcb788f36a5016050159c218c96524e2673d3d66.expeditioneer@gentoo \
--to=expeditioneer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox